ONVIF::PTZ::Types::MetadataConfigurationOptions(3pm)

NAME
ONVIF::PTZ::Types::MetadataConfigurationOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType MetadataConfigurationOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PTZStatusFilterOptions

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::MetadataConfigurationOptions
   PTZStatusFilterOptions =>  { # ONVIF::PTZ::Types::PTZStatusFilterOptions
     PanTiltStatusSupported =>  $some_value, # boolean
     ZoomStatusSupported =>  $some_value, # boolean
     PanTiltPositionSupported =>  $some_value, # boolean
     ZoomPositionSupported =>  $some_value, # boolean
     Extension =>  { # ONVIF::PTZ::Types::PTZStatusFilterOptionsExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL